View Issue Details

IDProjectCategoryView StatusLast Update
00302212.x IDE BugsRemote WorkerPublic2018-11-29 14:08
ReporterMatthew McInnesAssigned ToSteven Campbell 
PriorityHighSeverityB - MajorReproducibility100%
Status ResolvedResolutionFixed 
PlatformWindowsOSmacOSOS Version
Product Version2.2.1 
Target Version2.2.1Fixed in Version2.2.2 
Summary0030221: Remote Worker: [Mac IDE] Error upon building for Windows
DescriptionISSUE:

- Error upon building for Windows using Remote Worker on the Mac IDE
- Seeing the same error on 2 different Mac OS machines

This is the full compile log:
Saving project to: /Users/qayoyo/GameMakerStudio2/Flappy-Bird.yyp/Flappy-Bird.yyp
"/Library/Frameworks/Mono.framework/Versions/Current/Commands/mono" /Users/Shared/GameMakerStudio2/Cache/runtimes/runtime-2.2.1.277/bin/Igor.exe /rp="/Users/Shared/GameMakerStudio2/Cache/runtimes/runtime-2.2.1.277" /user="/Users/qayoyo/.config/GameMakerStudio2/matthewmcinnes93_1590280" /project="/Users/qayoyo/GameMakerStudio2/Flappy-Bird.yyp/Flappy-Bird.yyp" /cache="/Users/qayoyo/.config/GameMakerStudio2/Cache/GMS2CACHE" /of="/var/folders/p4/_gk700qx7z37ssf61fzltm4m0000gn/GameMakerStudio2/GMS2TEMP/Flappy-Bird_5BFD74D2_VM/" /tf="/var/folders/p4/_gk700qx7z37ssf61fzltm4m0000gn/GameMakerStudio2/GMS2TEMP/Flappy-Bird_target_5BFD74D2" /r=VM /w=10.36.11.116:7653 /config="default" /targetOptions="/Users/qayoyo/.config/GameMakerStudio2/Cache/GMS2CACHE/Flappy-Bir_57FA1102_F3FBA47D/targetoptions.json" Remote.Windows Run

´╗┐Release build
Igor complete.
-----------------------------------------------------------------------------
System.Reflection.TargetInvocationException: Exception has been thrown by the target of an invocation. ---> System.NullReferenceException: Object reference not set to an instance of an object
  at Igor.RemoteBuilder.DoCommand (System.String command) [0x00cb2] in <d65c0dc77411464b86a9c04fbb161b08>:0
  at (wrapper managed-to-native) System.Reflection.MonoMethod.InternalInvoke(System.Reflection.MonoMethod,object,object[],System.Exception&)
  at System.Reflection.MonoMethod.Invoke (System.Object obj, System.Reflection.BindingFlags invokeAttr, System.Reflection.Binder binder, System.Object[] parameters, System.Globalization.CultureInfo culture) [0x00032] in <bb7b695b8c6246b3ac1646577aea7650>:0
   --- End of inner exception stack trace ---
  at System.Reflection.MonoMethod.Invoke (System.Object obj, System.Reflection.BindingFlags invokeAttr, System.Reflection.Binder binder, System.Object[] parameters, System.Globalization.CultureInfo culture) [0x00048] in <bb7b695b8c6246b3ac1646577aea7650>:0
  at System.Reflection.MethodBase.Invoke (System.Object obj, System.Object[] parameters) [0x00000] in <bb7b695b8c6246b3ac1646577aea7650>:0
  at .. (. ) [0x00172] in <d65c0dc77411464b86a9c04fbb161b08>:0
  at .. (System.String[] ) [0x00994] in <d65c0dc77411464b86a9c04fbb161b08>:0
-----------------------------------------------------------------------------
EXCEPTION FILE - /var/folders/p4/_gk700qx7z37ssf61fzltm4m0000gn/T/455981f557a244c08e1ef7fb7f2958af.yyg.saencryptedreport
-----------------------------------------------------------------------------
´╗┐WARNING: The Carbon driver has not been ported to 64bits, and very few parts of Windows.Forms will work properly, or at all
elapsed time 00:00:00.6132390s for command "/Library/Frameworks/Mono.framework/Versions/Current/Commands/mono" /Users/Shared/GameMakerStudio2/Cache/runtimes/runtime-2.2.1.277/bin/Igor.exe /rp="/Users/Shared/GameMakerStudio2/Cache/runtimes/runtime-2.2.1.277" /user="/Users/qayoyo/.config/GameMakerStudio2/matthewmcinnes93_1590280" /project="/Users/qayoyo/GameMakerStudio2/Flappy-Bird.yyp/Flappy-Bird.yyp" /cache="/Users/qayoyo/.config/GameMakerStudio2/Cache/GMS2CACHE" /of="/var/folders/p4/_gk700qx7z37ssf61fzltm4m0000gn/GameMakerStudio2/GMS2TEMP/Flappy-Bird_5BFD74D2_VM/" /tf="/var/folders/p4/_gk700qx7z37ssf61fzltm4m0000gn/GameMakerStudio2/GMS2TEMP/Flappy-Bird_target_5BFD74D2" /r=VM /w=10.36.11.116:7653 /config="default" /targetOptions="/Users/qayoyo/.config/GameMakerStudio2/Cache/GMS2CACHE/Flappy-Bir_57FA1102_F3FBA47D/targetoptions.json" Remote.Windows Run started at 11/19/2018 16:40:03
FAILED: Run Program Complete


EXPECTED:

- Build should be successful using remote worker
Steps To Reproduce1) Launch Beta IDE v9.2.1.1613 Runtime v9.9.1.1244 on Mac
2) Ensure remote worker has been setup
3) Try to run project
4) Observe issue
TagsNo tags attached.
2.x IDE Found In9.2.1.1613
2.x Runtime Found In9.9.1.1244
2.x IDE Verified In
2.x Runtime Verified In

Relationships

related to 0030241 ResolvedSteven Campbell Remote Worker: [Mac IDE] Stopping a remote Windows build does not work 
related to 0030244 AssignedSteven Campbell Remote Worker: [Mac IDE] Cannot cleanly stop an in-progress remote worker 

Activities

Steven Campbell

2018-11-26 17:12

Developer   ~0062143

Have tripped over 0030241 in the process, so shall fix that too

Steven Campbell

2018-11-27 10:34

Developer   ~0062144

Fixed in Red Runtime/GitLab Merge Request 659
Git Id de7454b906e3e403b662113ff3f75d070c2049fb